using PkmnLib.Dynamic.Models.Choices;
using PkmnLib.Dynamic.ScriptHandling;
using PkmnLib.Dynamic.ScriptHandling.Registry;

namespace PkmnLib.Plugin.Gen7.Scripts.Pokemon;

[Script(ScriptCategory.Pokemon, "prevent_foes_exit_effect")]
public class PreventFoesExitEffect : Script
{
    /// <inheritdoc />
    public override void PreventOpponentSwitch(ISwitchChoice choice, ref bool prevent)
    {
        prevent = true;
    }

    /// <inheritdoc />
    public override void PreventOpponentRunAway(IFleeChoice choice, ref bool prevent)
    {
        prevent = true;
    }
}